### Interface

# Phosh DBusImplPortalRequest

#### Description [src]

    interface Phosh.DBusImplPortalRequest : GObject.Object

Abstract interface type for the D-Bus interface org.freedesktop.impl.portal.Request.

#### Prerequisite

In order to implement DBusImplPortalRequest, your type must inherit from`GObject`.

#### Implementations

- PhoshDBusImplPortalRequestProxy
- PhoshDBusImplPortalRequestSkeleton
- PhoshPortalRequest

#### Functions

###### phosh_dbus_impl_portal_request_interface_info

Gets a machine-readable description of the org.freedesktop.impl.portal.Request D-Bus interface.

###### phosh_dbus_impl_portal_request_override_properties

Overrides all `GObject` properties in the `PhoshDBusImplPortalRequest` interface for a concrete class. The properties are overridden in the order they are defined.

#### Instance methods

###### phosh_dbus_impl_portal_request_call_close

Asynchronously invokes the Close() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `phosh_dbus_impl_portal_request_call_close_finish()` to get the result of the operation.

###### phosh_dbus_impl_portal_request_call_close_finish

Finishes an operation started with phosh_dbus_impl_portal_request_call_close().

###### phosh_dbus_impl_portal_request_call_close_sync

Synchronously invokes the Close() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

###### phosh_dbus_impl_portal_request_complete_close

Helper function used in service implementations to finish handling invocations of the Close() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

#### Signals

###### Phosh.DBusImplPortalRequest::handle-close

Signal emitted when a remote caller is invoking the Close() D-Bus method.

#### Interface structure

    struct PhoshDBusImplPortalRequestIface {
      GTypeInterface parent_iface;
      gboolean (* handle_close) (
        PhoshDBusImplPortalRequest* object,
        GDBusMethodInvocation* invocation
      );

    }

Virtual table for the D-Bus interface org.freedesktop.impl.portal.Request.

###### Interface members

`parent_iface` |
    GTypeInterface
| The parent interface.
`handle_close` |
    gboolean (* handle_close) (
        PhoshDBusImplPortalRequest* object,
        GDBusMethodInvocation* invocation
      )
| Handler for the `PhoshDBusImplPortalRequest::handle-close` signal.

#### Virtual methods

###### Phosh.DBusImplPortalRequest.handle_close

Handler for the `PhoshDBusImplPortalRequest::handle-close` signal.